aboutsummaryrefslogtreecommitdiffstats
path: root/dtc/tests/dtc-fatal.sh
diff options
context:
space:
mode:
Diffstat (limited to 'dtc/tests/dtc-fatal.sh')
-rwxr-xr-xdtc/tests/dtc-fatal.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/dtc/tests/dtc-fatal.sh b/dtc/tests/dtc-fatal.sh
new file mode 100755
index 000000000..08a4d295a
--- /dev/null
+++ b/dtc/tests/dtc-fatal.sh
@@ -0,0 +1,15 @@
+#! /bin/sh
+
+SRCDIR=`dirname "$0"`
+. "$SRCDIR/testutils.sh"
+
+verbose_run $VALGRIND "$DTC" -o/dev/null "$@"
+ret="$?"
+
+if [ "$ret" -gt 127 ]; then
+ FAIL "dtc killed by signal (ret=$ret)"
+elif [ "$ret" != "1" ]; then
+ FAIL "dtc returned incorrect status $ret instead of 1"
+fi
+
+PASS